Draft Rectangle/sv: Difference between revisions

From FreeCAD Documentation
(page)
 
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/sv|Name=Draft_Rectangle|Workbenches=[[Draft Module/sv|Skiss]]|MenuLocation=Draft -> Rectangle}}
{{GuiCommand|Name=Draft_Rectangle|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Rectangle|Shortcut=R E|SeeAlso=[[Part Box]]}}


====Beskrivning====
==Description==
The rectangle tool creates a rectangle by picking two opposite points. It takes the [[Draft Linestyle|linewidth and color]] previously set on the Tasks tab.


[[Image:Draft_Rectangle_example.jpg|400px]]
Detta verktyg ritar en rektangel genom att välja två motsatta punkter.


==How to use==
[[Image:Draft_Rectangle_example.jpg]]
# Press the {{KEY|[[Image:Draft Rectangle.png|16px]] [[Draft Rectangle]]}} button, or press {{KEY|R}} then {{KEY|E}} keys
# Click a first corner point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click another opposite point on the 3D view, or type a [[Draft_Coordinates|coordinate]]. The rectangle will also be a face, even if it appears as wireframe.


====Bruk====
==Options==
* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after a point to constrain the next point on the given axis.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Press {{KEY|R}} or click the checkbox to check/uncheck the {{KEY|'''Relative'''}} button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Rectangle tool will restart after you finish or close it, allowing you to draw another one without pressing the Rectangle button again.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your next point horizontally or vertically in relation to the last one.
* Press {{KEY|I}} or the {{KEY|'''Filled'''}} button to have the rectangle to appear as a face after it has been closed. This simply sets the View->Property of the Rectangle to "Flat lines" or "Wireframe", so it can easily be changed later.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.


==Properties==
* Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
* {{PropertyData|Length}}: Specifies the length of the rectangle
* Nedtryckning av {{KEY|CTRL}} kommer att [[Draft_Snap/sv|snäppa]] din punkt till tillgängliga snäpp-punkter.
* {{PropertyData|Width}}: Specifies the width of the rectangle
* Skriv in siffror för att [[Draft_Coordinates/sv|manuellt mata in en koordinat]].
* {{PropertyData|Fillet Radius}}: Specifies a curvature radius to give to the corners of the rectangle
* Nedtryckning av {{KEY|SKIFT}} medan du väljer den motsatta punkten tillåter dig att begränsa den ortogonalt i relation till det ögonblick som du tryckte på {{KEY|SKIFT}}.
* {{PropertyView|Texture Image}}: Allows to give the path to an image file to be mapped on the rectangle. It is up to you to give the rectangle the same proportion as the image if you want to avoid distortions. Blanking this property will remove the image.
* Om du trycker på {{KEY|ESC}} så avbryts funktionen.
* Den skapade rektangeln kommer att ha nuvarande [[Draft_Linestyle/sv|linjestil]].
* Rektanglar har en "Texturbild" egenskap som kan användas för att visa en bild som mappas på rektangeln. Du måste se till att ge rektangeln samma dimensioner som bilden. Om man tar bort innehållet i egenskapen så försvinner bilden från rektangeln. Detta är användbart om du behöver kalkera av en pappersritning som du har skannat in.


==Scripting==
{{languages/sv | {{en|Draft Rectangle}} {{es|Draft Rectangle/es}} {{fr|Draft Rectangle/fr}} }}
The Rectangle tool can by used in [[macros]] and from the python console by using the following function:

<syntaxhighlight>

'''makeRectangle (length, width, [placement], [facemode])'''
</syntaxhighlight>

* Creates a Rectangle object with length in X direction and height in Y direction.
* If a placement is given, it is used.
* If facemode is False, the rectangle is shown as a wireframe, otherwise as a face.
* The current Draft linewidth and color will be used.
* Returns the newly created object.

Example:
<syntaxhighlight>
import FreeCAD,Draft
Draft.makeRectangle(10,4)
</syntaxhighlight>
{{clear}}
<languages/>

Revision as of 20:30, 11 January 2014

Draft_Rectangle

Menu location
Draft -> Rectangle
Workbenches
Draft, Arch
Default shortcut
R E
Introduced in version
-
See also
Part Box

Description

The rectangle tool creates a rectangle by picking two opposite points. It takes the linewidth and color previously set on the Tasks tab.

How to use

  1. Press the Draft Rectangle button, or press R then E keys
  2. Click a first corner point on the 3D view, or type a coordinate
  3. Click another opposite point on the 3D view, or type a coordinate. The rectangle will also be a face, even if it appears as wireframe.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Rectangle tool will restart after you finish or close it, allowing you to draw another one without pressing the Rectangle button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press I or the Filled button to have the rectangle to appear as a face after it has been closed. This simply sets the View->Property of the Rectangle to "Flat lines" or "Wireframe", so it can easily be changed later.
  • Press ESC or the Cancel button to abort the current Line command.

Properties

  • DataLength: Specifies the length of the rectangle
  • DataWidth: Specifies the width of the rectangle
  • DataFillet Radius: Specifies a curvature radius to give to the corners of the rectangle
  • VyTexture Image: Allows to give the path to an image file to be mapped on the rectangle. It is up to you to give the rectangle the same proportion as the image if you want to avoid distortions. Blanking this property will remove the image.

Scripting

The Rectangle tool can by used in macros and from the python console by using the following function:

 '''makeRectangle (length, width, [placement], [facemode])'''
  • Creates a Rectangle object with length in X direction and height in Y direction.
  • If a placement is given, it is used.
  • If facemode is False, the rectangle is shown as a wireframe, otherwise as a face.
  • The current Draft linewidth and color will be used.
  • Returns the newly created object.

Example:

 import FreeCAD,Draft
 Draft.makeRectangle(10,4)